<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/inc/lcd_driver.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">lcd_driver.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d56/lcd__driver_8h__dep__incl.png" border="0" usemap="#a_nu-_l_b-_mini51_2inc_2lcd__driver_8hdep" alt=""/></div>
<map name="a_nu-_l_b-_mini51_2inc_2lcd__driver_8hdep" id="a_nu-_l_b-_mini51_2inc_2lcd__driver_8hdep">
<area shape="rect" title=" " alt="" coords="5,5,148,47"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html" title="MINI51 series LCD Module library source file." alt="" coords="5,95,148,136"/>
</map>
</div>
</div>
<p><a href="../../dd/dee/lcd__driver_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a25e1f60dd77e50ae7ded44a431214c62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dee/lcd__driver_8h.html#a25e1f60dd77e50ae7ded44a431214c62">LCD_ClearScreen</a> (void)</td></tr>
<tr class="memdesc:a25e1f60dd77e50ae7ded44a431214c62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear screen to background color.  <a href="../../dd/dee/lcd__driver_8h.html#a25e1f60dd77e50ae7ded44a431214c62">More...</a><br /></td></tr>
<tr class="separator:a25e1f60dd77e50ae7ded44a431214c62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94fbeb72dc11e70385bf5e3730fddf33"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dee/lcd__driver_8h.html#a94fbeb72dc11e70385bf5e3730fddf33">LCD_Print</a> (uint8_t line, char *str)</td></tr>
<tr class="memdesc:a94fbeb72dc11e70385bf5e3730fddf33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show a string on specific line.  <a href="../../dd/dee/lcd__driver_8h.html#a94fbeb72dc11e70385bf5e3730fddf33">More...</a><br /></td></tr>
<tr class="separator:a94fbeb72dc11e70385bf5e3730fddf33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9283461e486666e1c2ddf4b0a7d66035"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dee/lcd__driver_8h.html#a9283461e486666e1c2ddf4b0a7d66035">LCD_EnableBackLight</a> (void)</td></tr>
<tr class="memdesc:a9283461e486666e1c2ddf4b0a7d66035"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable back-light of LCD.  <a href="../../dd/dee/lcd__driver_8h.html#a9283461e486666e1c2ddf4b0a7d66035">More...</a><br /></td></tr>
<tr class="separator:a9283461e486666e1c2ddf4b0a7d66035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0d70390244c023aed14e7b088d047a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dee/lcd__driver_8h.html#abf0d70390244c023aed14e7b088d047a">LCD_DisableBackLight</a> (void)</td></tr>
<tr class="memdesc:abf0d70390244c023aed14e7b088d047a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable back-light of LCD.  <a href="../../dd/dee/lcd__driver_8h.html#abf0d70390244c023aed14e7b088d047a">More...</a><br /></td></tr>
<tr class="separator:abf0d70390244c023aed14e7b088d047a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa53c9d40f3aa552a9974cd55ac510cb3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dee/lcd__driver_8h.html#aa53c9d40f3aa552a9974cd55ac510cb3">LCD_Init</a> (void)</td></tr>
<tr class="memdesc:aa53c9d40f3aa552a9974cd55ac510cb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use SPI interface to configure LCD module.  <a href="../../dd/dee/lcd__driver_8h.html#aa53c9d40f3aa552a9974cd55ac510cb3">More...</a><br /></td></tr>
<tr class="separator:aa53c9d40f3aa552a9974cd55ac510cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a25e1f60dd77e50ae7ded44a431214c62" name="a25e1f60dd77e50ae7ded44a431214c62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25e1f60dd77e50ae7ded44a431214c62">&#9670;&nbsp;</a></span>LCD_ClearScreen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_ClearScreen </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear screen to background color. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00158">158</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dee/lcd__driver_8h_a25e1f60dd77e50ae7ded44a431214c62_cgraph.png" border="0" usemap="#add/dee/lcd__driver_8h_a25e1f60dd77e50ae7ded44a431214c62_cgraph" alt=""/></div>
<map name="add/dee/lcd__driver_8h_a25e1f60dd77e50ae7ded44a431214c62_cgraph" id="add/dee/lcd__driver_8h_a25e1f60dd77e50ae7ded44a431214c62_cgraph">
<area shape="rect" title="Clear screen to background color." alt="" coords="5,31,131,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089" title="Configure start address of LCD." alt="" coords="179,5,257,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="305,31,377,57"/>
</map>
</div>

</div>
</div>
<a id="abf0d70390244c023aed14e7b088d047a" name="abf0d70390244c023aed14e7b088d047a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf0d70390244c023aed14e7b088d047a">&#9670;&nbsp;</a></span>LCD_DisableBackLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_DisableBackLight </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable back-light of LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00128">128</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dee/lcd__driver_8h_abf0d70390244c023aed14e7b088d047a_cgraph.png" border="0" usemap="#add/dee/lcd__driver_8h_abf0d70390244c023aed14e7b088d047a_cgraph" alt=""/></div>
<map name="add/dee/lcd__driver_8h_abf0d70390244c023aed14e7b088d047a_cgraph" id="add/dee/lcd__driver_8h_abf0d70390244c023aed14e7b088d047a_cgraph">
<area shape="rect" title="Disable back&#45;light of LCD." alt="" coords="5,5,160,32"/>
<area shape="rect" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123" title="Set GPIO operation mode." alt="" coords="208,5,321,32"/>
</map>
</div>

</div>
</div>
<a id="a9283461e486666e1c2ddf4b0a7d66035" name="a9283461e486666e1c2ddf4b0a7d66035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9283461e486666e1c2ddf4b0a7d66035">&#9670;&nbsp;</a></span>LCD_EnableBackLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_EnableBackLight </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable back-light of LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00117">117</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dee/lcd__driver_8h_a9283461e486666e1c2ddf4b0a7d66035_cgraph.png" border="0" usemap="#add/dee/lcd__driver_8h_a9283461e486666e1c2ddf4b0a7d66035_cgraph" alt=""/></div>
<map name="add/dee/lcd__driver_8h_a9283461e486666e1c2ddf4b0a7d66035_cgraph" id="add/dee/lcd__driver_8h_a9283461e486666e1c2ddf4b0a7d66035_cgraph">
<area shape="rect" title="Enable back&#45;light of LCD." alt="" coords="5,5,157,32"/>
<area shape="rect" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123" title="Set GPIO operation mode." alt="" coords="205,5,319,32"/>
</map>
</div>

</div>
</div>
<a id="aa53c9d40f3aa552a9974cd55ac510cb3" name="aa53c9d40f3aa552a9974cd55ac510cb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa53c9d40f3aa552a9974cd55ac510cb3">&#9670;&nbsp;</a></span>LCD_Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_Init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use SPI interface to configure LCD module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00035">35</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dee/lcd__driver_8h_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph.png" border="0" usemap="#add/dee/lcd__driver_8h_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph" alt=""/></div>
<map name="add/dee/lcd__driver_8h_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph" id="add/dee/lcd__driver_8h_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph">
<area shape="rect" title="Use SPI interface to configure LCD module." alt="" coords="5,5,76,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="124,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a94fbeb72dc11e70385bf5e3730fddf33" name="a94fbeb72dc11e70385bf5e3730fddf33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94fbeb72dc11e70385bf5e3730fddf33">&#9670;&nbsp;</a></span>LCD_Print()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_Print </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>str</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Show a string on specific line. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>Line number </td></tr>
    <tr><td class="paramname">str</td><td>string </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00140">140</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dee/lcd__driver_8h_a94fbeb72dc11e70385bf5e3730fddf33_cgraph.png" border="0" usemap="#add/dee/lcd__driver_8h_a94fbeb72dc11e70385bf5e3730fddf33_cgraph" alt=""/></div>
<map name="add/dee/lcd__driver_8h_a94fbeb72dc11e70385bf5e3730fddf33_cgraph" id="add/dee/lcd__driver_8h_a94fbeb72dc11e70385bf5e3730fddf33_cgraph">
<area shape="rect" title="Show a string on specific line." alt="" coords="5,31,87,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a" title="Show a char on LCD." alt="" coords="135,31,216,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089" title="Configure start address of LCD." alt="" coords="264,5,343,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="391,31,463,57"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
